Confirming an outage link: uses it up and acknowledges the outage as the recipient. Unauthenticated: the single-use token is the credential.
POST
/monitors/outage_action/{token}
const url = 'https://api.siteqwality.com/monitors/outage_action/example';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.siteqwality.com/monitors/outage_action/exampleParameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” token
required
string
Single-use outage acknowledge token from a DOWN alert email
Responses
Section titled “ Responses ”Outage acknowledged (HTML result page)
Media type text/html
Unknown link. Nothing is changed.
Media type text/html
Used, expired, already acknowledged or recovered. Nothing is changed.
Media type text/html
The link could not be processed
Media type text/html